Subject: RE: [PATCH net-next v7 0/4] Support PTP clock for Wangxun NICs

From: Jiawen Wu <[email-masked]>
Date: Mon, 17 Feb 2025 09:47:51 +0800

On Sat, Feb 15, 2025 8:52 AM, Jakub Kicinski wrote:
> On Thu, 13 Feb 2025 16:30:37 +0800 Jiawen Wu wrote:
> > Implement support for PTP clock on Wangxun NICs.
> 
> Please run:
> 
> ./scripts/kernel-doc -none -Wall drivers/net/ethernet/wangxun/*/*
> 
> Existing errors are fine, but you shouldn't be adding new ones.
> You're missing documentation for return values for a lot of functions.
> 
> Note that adding kdoc is not required, you can just remove it where
> it doesn't add value. But if you add kdoc comments they need to be
> fully specified.

OK, I'll fix it in the V8 patch set.
So what is the conclusion about the "work" item. Should I revert it to V6?